Identify session
curl --request POST \
--url https://api.interfere.com/v3/session/identify \
--header 'Content-Type: application/json' \
--header 'x-interfere-public-key: <api-key>' \
--data '
{
"sessionId": "01991111-1111-7111-8111-111111111111",
"identifier": "customer-123",
"email": "customer@example.com",
"source": {
"type": "custom",
"name": "account-service"
}
}
'import requests
url = "https://api.interfere.com/v3/session/identify"
payload = {
"sessionId": "01991111-1111-7111-8111-111111111111",
"identifier": "customer-123",
"email": "customer@example.com",
"source": {
"type": "custom",
"name": "account-service"
}
}
headers = {
"x-interfere-public-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-interfere-public-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
sessionId: '01991111-1111-7111-8111-111111111111',
identifier: 'customer-123',
email: 'customer@example.com',
source: {type: 'custom', name: 'account-service'}
})
};
fetch('https://api.interfere.com/v3/session/identify', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"ok": true
}{
"code": "AUTH_MISSING",
"message": "<string>",
"service": "collector"
}{
"code": "INGEST_INFRA_UNAVAILABLE",
"message": "<string>",
"service": "collector"
}Identify session
Attaches an end user identity to a session.
POST
/
v3
/
session
/
identify
Identify session
Authorizations
publicKeyHeaderpublicKey
Public key of the receiving surface; preferred for OTel Collector exporters, whose endpoint config cannot carry query strings
Body
application/json
Request body for identifying the end user associated with a session.
Minimum string length:
1Auth provider that surfaced this identification.
- Option 1
- Option 2
- Option 3
- Option 4
Show child attributes
Show child attributes
Free-form key/value bag of user attributes attached when identifying a session.
Show child attributes
Show child attributes
Maximum string length:
2Response
Identity attached
SessionResponse
Was this page helpful?
⌘I